#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# Code released in the Public Domain. You can do whatever you want with this package.
# Look at README file to see how to adapt this program.
# Originally written by Pierre Métras <pierre@alterna.tv> for the OLPC XO laptop.
##############################
# Timewriter rules for Spanish
##############################

_time_rules = """
         time(h, 55) => hour1(h) menos cinco am_pm(h) |
         time(h, 50) => hour1(h) menos diez am_pm(h) |
         time(h, 45) => hour1(h) menos cuarto am_pm(h) |
         time(h, 40) => hour1(h) menos vente am_pm(h) |
         time(h, 35) => hour1(h) menos venticinco am_pm(h) |
         time(h, m) => hour(h) min(m) am_pm(h) |
         am_pm(0) => |
         am_pm(12) => |
         am_pm(h) [0 < h < 7] => de la madrugada |
         am_pm(h) [h < 12] => de la mañana |
         am_pm(h) [12 < h < 19] => de la tarde |
         am_pm(_) => de la noche |
         hour(0) => Medianoche |
         hour(1) => Es la una |
         hour(12) => Mediodía |
         hour(13) => Es la una |
         hour(14) => Son las dos |
         hour(15) => Son las tres |
         hour(16) => Son las cuatro |
         hour(17) => Son las cinco |
         hour(18) => Son las seis |
         hour(19) => Son las siete |
         hour(20) => Son las ocho |
         hour(21) => Son las neuve |
         hour(22) => Son las diez |
         hour(23) => Son las once |
         hour(h) [h < 12] => Son las number(h) |
         hour1(0) => Es la una |
         hour1(1) => Son las dos |
         hour1(2) => Son las tres |
         hour1(3) => Son las cuatro |
         hour1(4) => Son las cinco |
         hour1(5) => Son las seis |
         hour1(6) => Son las siete |
         hour1(7) => Son las ocho |
         hour1(8) => Son las nueve |
         hour1(9) => Son las diez |
         hour1(10) => Son las once |
         hour1(11) => Mediodía |
         hour1(12) => hour1(0) |
         hour1(13) => hour1(1) |
         hour1(14) => hour1(2) |
         hour1(15) => hour1(3) |
         hour1(16) => hour1(4) |
         hour1(17) => hour1(5) |
         hour1(18) => hour1(6) |
         hour1(19) => hour1(7) |
         hour1(20) => hour1(8) |
         hour1(21) => hour1(9) |
         hour1(22) => hour1(10) |
         hour1(23) => Medianoche |
         min(0) => en punto |
         min(15) => y cuarto |
         min(30) => y media |
         min(m) => y number(m) |
         number(1) => uno |
         number(2) => dos |
         number(3) => tres |
         number(4) => cuatro |
         number(5) => cinco |
         number(6) => seis |
         number(7) => siete |
         number(8) => ocho |
         number(9) => nueve |
         number(10) => diez |
         number(11) => once |
         number(12) => doce |
         number(13) => trece |
         number(14) => catorce |
         number(15) => quince |
         number(16) => dieciséis |
         number(17) => diecisiete |
         number(18) => dieciocho |
         number(19) => diecinueve |
         number(20) => veinte |
         number(21) => veintiuno |
         number(22) => veintidós |
         number(23) => veintitrés |
         number(24) => veinticuatro |
         number(25) => veinticinco |
         number(26) => veintiséis |
         number(27) => veintisiete |
         number(28) => veintiocho |
         number(29) => veintinueve |
         number(30) => trenta |
         number(31) => trenta y uno |
         number(32) => trenta y dos |
         number(33) => trenta y tres |
         number(34) => trenta y cuatro |
         number(35) => trenta y cinco |
         number(36) => trenta y seis |
         number(37) => trenta y siete |
         number(38) => trenta y ocho |
         number(39) => trenta y nueve |
         number(40) => cuarenta |
         number(41) => cuarenta y uno |
         number(42) => cuarenta y dos |
         number(43) => cuatenta y tres |
         number(44) => curatenta y cuatro |
         number(45) => cuarenta y cinco |
         number(46) => cuarenta y seis |
         number(47) => cuarenta y siete |
         number(48) => cuarenta y ocho |
         number(49) => cuarenta y nueve |
         number(50) => cincuenta |
         number(51) => cincuenta y uno |
         number(52) => cincuenta y dos |
         number(53) => cincuenta y tres |
         number(54) => cincuenta y cuatro |
         number(55) => cincuenta y cinco |
         number(56) => cincuenta y seis |
         number(57) => cincuenta y siete |
         number(58) => cincuenta y ocho |
         number(59) => cincuenta y nueve
    """

